=== debian/changelog ===
pam-wrapper (1.0.2-1) unstable; urgency=medium

  * Initial release (Closes: #825486)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 27 May 2016 13:00:55 +0300
