=== debian/control ===
Source: pam-wrapper
Priority: optional
Maintainer: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper (>=9),
 cmake,
 libpam0g-dev,
Standards-Version: 3.9.8
Section: libs
Homepage: https://cwrap.org/pam_wrapper.html
Vcs-Git: https://anonscm.debian.org/pkg-sssd/pam-wrapper.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/pam-wrapper.git

Package: libpam-wrapper
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to test PAM applications and PAM modules
 This component of cwrap allows you to either test your PAM (Linux-PAM
 and OpenPAM) application or module.
 .
 For testing PAM applications, simple PAM module called pam_matrix is
 included. If you plan to test a PAM module you can use the pamtest library,
 which simplifies testing of modules. You can combine it with the cmocka
 unit testing framework or you can use the provided Python bindings to
 write tests for your module in Python.
