=== src/python/python2/CMakeLists.txt ===
project(python2-pamtest C)

unset(PYTHON_EXECUTABLE CACHE)
unset(PYTHON_INCLUDE_DIR CACHE)
unset(PYTHON_LIBRARY CACHE)
unset(PYTHON_SITELIB CACHE)
unset(PYTHONLIBS_FOUND CACHE)
unset(PYTHONLIBS_VERSION_STRING CACHE)

set(Python_ADDITIONAL_VERSIONS 2.7 2.6)
find_package(PythonLibs)
find_package(PythonInterp)
find_package(PythonSiteLibs)

if (PYTHONLIBS_FOUND)
    set(PYTHON2_EXECUTABLE ${PYTHON_EXECUTABLE} CACHE FILEPATH "PYTHON2_EXECUTABLE")
    set(PYTHON2_INCLUDE_DIR ${PYTHON_INCLUDE_DIR})
    set(PYTHON2_LIBRARY ${PYTHON_LIBRARY})
    set(PYTHON2_SITELIB ${PYTHON_SITELIB})

    include_directories(${CMAKE_BINARY_DIR})
    include_directories(${pam_wrapper-headers_DIR})
    include_directories(${PYTHON2_INCLUDE_DIR})

    python_add_module(python2-pamtest ${pypamtest_SOURCE_DIR}/pypamtest.c)
    target_link_libraries(python2-pamtest pamtest ${PYTHON2_LIBRARY})
    set_target_properties(python2-pamtest PROPERTIES OUTPUT_NAME "pypamtest")

    install(TARGETS
                python2-pamtest
            DESTINATION
                ${CMAKE_INSTALL_PREFIX}/${PYTHON2_SITELIB})
endif()
