=== debian/changelog ===
pam-wrapper (1.0.6-1) unstable; urgency=medium

  * New upstream release. (Closes: #894793)
  * Bump debhelper to 11, policy to 4.1.3, update VCS urls and
    maintainer address to SSSD team.
  * no-soname.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 05 Apr 2018 11:30:52 +0300
