=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: pam-wrapper
 Priority: optional
-Maintainer: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>=9),
+Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
+Uploaders: Timo Aaltonen <tjaalton@debian.org>
+Build-Depends: debhelper (>=11),
  cmake,
  libpam0g-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://cwrap.org/pam_wrapper.html
-Vcs-Git: https://anonscm.debian.org/pkg-sssd/pam-wrapper.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sssd/pam-wrapper.git
+Vcs-Git: https://salsa.debian.org/sssd-team/pam-wrapper.git
+Vcs-Browser: https://salsa.debian.org/sssd-team/pam-wrapper.git
 
 Package: libpam-wrapper
 Architecture: any
