=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -47,11 +47,26 @@
     PROPERTY
         ENVIRONMENT ${TEST_ENVIRONMENT})
 
-if (PYTHONLIBS_FOUND)
-    add_test(pypamtest_test ${CMAKE_CURRENT_SOURCE_DIR}/pypamtest_test.py)
-    set_property(
-        TEST
-            pypamtest_test
-        PROPERTY
-            ENVIRONMENT ${TEST_ENVIRONMENT})
+if (PYTHON2_EXECUTABLE)
+    add_test(NAME
+                py2pamtest_test
+             COMMAND
+                ${PYTHON2_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pypamtest_test.py)
+
+    set_property(TEST
+                    py2pamtest_test
+                 PROPERTY
+                    ENVIRONMENT ${TEST_ENVIRONMENT})
 endif()
+
+if (PYTHON3_EXECUTABLE)
+    add_test(NAME
+                py3pamtest_test
+             COMMAND
+                ${PYTHON3_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/pypamtest_test.py)
+
+    set_property(TEST
+                    py3pamtest_test
+                 PROPERTY
+                    ENVIRONMENT ${TEST_ENVIRONMENT})
+endif()
