=== src/python/CMakeLists.txt ===
project(pypamtest C)

add_subdirectory(python2)
add_subdirectory(python3)
