=== debian/changelog ===
pam-wrapper (1.0.7-1) unstable; urgency=medium

  * New upstream release. (Closes: #910642)
  * control: Add python bindings. (Closes: #898992)
  * no-soname.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 10 Oct 2018 17:54:28 +0300
