=== debian/control ===
--- 
+++ 
@@ -5,6 +5,10 @@
 Build-Depends: debhelper (>=11),
  cmake,
  libpam0g-dev,
+ python-dev,
+ python3-dev,
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.6
 Standards-Version: 4.1.3
 Section: libs
 Homepage: https://cwrap.org/pam_wrapper.html
@@ -23,3 +27,21 @@
  which simplifies testing of modules. You can combine it with the cmocka
  unit testing framework or you can use the provided Python bindings to
  write tests for your module in Python.
+
+Package: python-pypamtest
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Description: Tool to test PAM applications and PAM modules -- Python bindings
+ This component of cwrap allows you to either test your PAM (Linux-PAM
+ and OpenPAM) application or module.
+ .
+ This package includes bindings for Python 2.
+
+Package: python3-pypamtest
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
+Description: Tool to test PAM applications and PAM modules -- Python3 bindings
+ This component of cwrap allows you to either test your PAM (Linux-PAM
+ and OpenPAM) application or module.
+ .
+ This package includes bindings for Python 3.
