=== debian/control ===
Source: pam-wrapper
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mxrepo.com>
XSBC-Original-Maintainer: Debian SSSD Team <pkg-sssd-devel@lists.alioth.debian.org>
Uploaders: Timo Aaltonen <tjaalton@debian.org>
Build-Depends: debhelper-compat (=12),
 cmake,
 libpam0g-dev,
 python3-dev,
 dh-python,
X-Python3-Version: >= 3.6
Standards-Version: 4.5.0
Section: libs
Homepage: https://cwrap.org/pam_wrapper.html
Vcs-Git: https://salsa.debian.org/sssd-team/pam-wrapper.git
Vcs-Browser: https://salsa.debian.org/sssd-team/pam-wrapper.git

Package: libpam-wrapper
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool to test PAM applications
 This component of cwrap allows you to test your PAM (Linux-PAM and OpenPAM)
 application.
 .
 For testing PAM applications, simple PAM module called pam_matrix is
 included.

Package: libpamtest0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libpam-wrapper (<< 1.0.7-3)
Breaks: libpam-wrapper (<< 1.0.7-3)
Description: Library to test PAM modules
 This component of cwrap allows you to test your PAM (Linux-PAM and OpenPAM)
 module.
 .
 For testing a PAM module you can use the pamtest library, which simplifies
 testing of modules. You can combine it with the cmocka  unit testing framework
 or you can use the provided Python bindings to write tests for your module in
 Python.
 .
 This package provides shared libraries.

Package: libpamtest0-dev
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
  libpamtest0 (= ${binary:Version}),
Replaces: libpam-wrapper (<< 1.0.7-3)
Breaks: libpam-wrapper (<< 1.0.7-3)
Description: Library to test PAM modules
 This component of cwrap allows you to test your PAM (Linux-PAM and OpenPAM)
 module.
 .
 For testing a PAM module you can use the pamtest library, which simplifies
 testing of modules. You can combine it with the cmocka  unit testing framework
 or you can use the provided Python bindings to write tests for your module in
 Python.
 .
 This package provides development headers.

Package: python3-pypamtest
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Tool to test PAM applications and PAM modules -- Python3 bindings
 This component of cwrap allows you to either test your PAM (Linux-PAM
 and OpenPAM) application or module.
 .
 This package includes bindings for Python 3.
