=== debian/changelog ===
pam-wrapper (1.1.4-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 20:15:08 +0000

pam-wrapper (1.1.4-1) unstable; urgency=medium

  * New upstream release.
  * no-soname.diff: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 20:47:17 +0200
