=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --with python2,python3 --builddirectory=build/
+	dh $@ --with python3 --builddirectory=build/
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
