=== debian/watch ===
version=4
https://ftp.samba.org/pub/cwrap/ \
  pam_wrapper-([\d\.]+)\.tar\.gz
