=== debian/changelog ===
pam-wrapper (1.1.5-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:14:58 +1100

pam-wrapper (1.1.5-1build2) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:14:36 +0100

pam-wrapper (1.1.5-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 20:37:41 +0000

pam-wrapper (1.1.5-1) unstable; urgency=medium

  * New upstream release.
  * Use Section:devel for consistency with other cwrap projects.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 18 Aug 2023 13:53:22 +0200

pam-wrapper (1.1.4-3) unstable; urgency=medium

  * Fix --twice builds.  Closes: #1048879.
  * wrap-and-sort -satb.
  * tests: Add wrap-and-sort.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 16 Aug 2023 11:51:21 +0200

pam-wrapper (1.1.4-2) unstable; urgency=medium

  * control: Use new pkg-sssd email address.
  * control: Add myself as Uploaders.
  * control: Standards-Version 4.6.2.
  * control: Rules-Requires-Root: no.
  * upstream/metadata: Add.
  * upstream/signing-key.asc: Add.
  * watch: Add pgpsigurlmangle.  Use @ANY_VERSION@@ARCHIVE_EXT@.
  * copyright: Add myself for debian/*, silencing
    lintian warning update-debian-copyright.
  * Build with hardening=+all.
  * control: Fix Vcs-Browser URL.
  * Bump debhelper-compat to 13.
  * libpamtest0-dev: Improve Description.
  * control: Fix spurious white space in Description fields.
  * lintian-overrides: Fix syntax.  Drop unused libpamtest.so override.

 -- Simon Josefsson <simon@josefsson.org>  Sun, 06 Aug 2023 09:26:33 +0200
