=== debian/tests/control ===
Tests: wrap-and-sort
Depends:
 devscripts,
 python3-debian,
Restrictions: superficial
