=== debian/changelog ===
pam-wrapper (1.1.7-1build1) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:04:22 +0100

pam-wrapper (1.1.7-1) unstable; urgency=medium

  [ Ben Hutchings ]
  * debian/salsa-ci.yml: Add local CI configuration
  * Replace wrap-and-sort autopkgtest with a CI job

  [ Simon Josefsson ]
  * New upstream release.
  * Standards-Version: 4.7.0.
  * Fix lintian update-debian-copyright.
  * Build-Depends on python3-setuptools.  Closes: #1080694.
  * Build python3-pypamtest reproducibly.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 23 Sep 2024 08:57:01 +0200
